Script below works with “Set one Geometry” and not with “Set Multiple Geometries”.
Please advise.
import rhinoscriptsyntax as rs
a =
degrees = 20
for i in ln:
nl = rs.RotateObject(ln, rs.CurveEndPoint(ln), degrees, (0,0,1), True)
a.append(nl)
Script below works with “Set one Geometry” and not with “Set Multiple Geometries”.
Please advise.
import rhinoscriptsyntax as rs
a =
degrees = 20
for i in ln:
nl = rs.RotateObject(ln, rs.CurveEndPoint(ln), degrees, (0,0,1), True)
a.append(nl)
Use the object i not the list ln.
Thank you it works.
import rhinoscriptsyntax as rs
a =
degrees = 20
for i in ln:
nl = rs.RotateObject(i, rs.CurveEndPoint(i), degrees, (0,0,1), True)
a.append(nl)